npm crashes on start

Bug #920127 reported by iblue on 2012-01-22
64
This bug affects 14 people
Affects Status Importance Assigned to Milestone
npm (Ubuntu)
Undecided
Unassigned

Bug Description

I just installed npm via apt-get. It exploded.

iblue@nerdpol:~$ npm

node.js:202
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
Error: No such module
    at Object.<anonymous> (/usr/share/npm/lib/utils/output.js:8:21)
    at Module._compile (module.js:432:26)
    at Object..js (module.js:450:10)
    at Module.load (module.js:351:31)
    at Function._load (module.js:310:12)
    at Module.require (module.js:357:17)
    at require (module.js:368:17)
    at Object.<anonymous> (/usr/share/npm/lib/utils/log.js:21:14)
    at Module._compile (module.js:432:26)
    at Object..js (module.js:450:10)

Clint Byrum (clint-fewbar) wrote :

iblue, are you still affected? can you run 'apport-collect 920127' on the affected machine so that we can find out what versions of software you have installed?

Thanks!

Changed in npm (Ubuntu):
status: New → Incomplete
Teodor Milkov (tm-del) wrote :

Same error here:

$ apt-cache policy npm
npm:
  Installed: 0.2.19-1
  ...

$ apt-cache policy nodejs
nodejs:
  Installed: 0.6.12~dfsg1-1ubuntu1
  ...

$ npm

node.js:201
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
Error: No such module
    at Object.<anonymous> (/usr/share/npm/lib/utils/output.js:8:21)
    at Module._compile (module.js:441:26)
    at Object..js (module.js:459:10)
    at Module.load (module.js:348:32)
    at Function._load (module.js:308:12)
    at Module.require (module.js:354:17)
    at require (module.js:370:17)
    at Object.<anonymous> (/usr/share/npm/lib/utils/log.js:21:14)
    at Module._compile (module.js:441:26)
    at Object..js (module.js:459:10)

Changed in npm (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in npm (Ubuntu):
status: New → Confirmed
Eduard Gotwig (gotwig) wrote :

fixed for precise pangolin.

I suppose it's a temporary situation but this packages are not uploaded yet to Precise, so npm package is uninstallable right now:

node-block-stream
node-inherits
node-lru-cache

Regards.

lykwydchykyn (me-alandmoore) wrote :

I'm still getting this error after upgrading to precise.

Florian Hars (hars) wrote :

In pangolin the stacktrace is different, but npm still doesn't start:

node.js:201
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
Error: require.paths is removed. Use node_modules folders, or the NODE_PATH environment variable instead.
    at Function.<anonymous> (module.js:378:11)
    at Object.<anonymous> (/home/hars/.node_libraries/nopt@1.0.10/index.js:4:21)
    at Module._compile (module.js:441:26)
    at Object..js (module.js:459:10)
    at Module.load (module.js:348:32)
    at Function._load (module.js:308:12)
    at Module.require (module.js:354:17)
    at require (module.js:370:17)
    at Object.<anonymous> (/usr/share/npm/lib/utils/ini.js:36:12)
    at Module._compile (module.js:441:26)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers